<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ChatLine Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d99/class_chat_line.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ChatLine Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa0c53bd27ec03a7bd8d61b8b38abd97d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#aa0c53bd27ec03a7bd8d61b8b38abd97d">ChatLine</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> root_widget)</td></tr>
<tr class="separator:aa0c53bd27ec03a7bd8d61b8b38abd97d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeba239484e29a9a393a6c48711566214"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#aeba239484e29a9a393a6c48711566214">~ChatLine</a> ()</td></tr>
<tr class="separator:aeba239484e29a9a393a6c48711566214"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d8983c3eafdc1774c780a5cb253f4e1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#a5d8983c3eafdc1774c780a5cb253f4e1">Set</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a8e2adabf89cdc42791495aaba635827a">ChatMessageEventParams</a> params)</td></tr>
<tr class="separator:a5d8983c3eafdc1774c780a5cb253f4e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bb24d76106718b54468710aa7660779"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#a5bb24d76106718b54468710aa7660779">SetColour</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> colour)</td></tr>
<tr class="separator:a5bb24d76106718b54468710aa7660779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad43c287d9f7f9a2ad4fed1853a00810a"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#ad43c287d9f7f9a2ad4fed1853a00810a">SetColorByParam</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pParamValue, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pFallback)</td></tr>
<tr class="separator:ad43c287d9f7f9a2ad4fed1853a00810a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad34043c0b64004f26eb3dab739e5704c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#ad34043c0b64004f26eb3dab739e5704c">Clear</a> ()</td></tr>
<tr class="separator:ad34043c0b64004f26eb3dab739e5704c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7568b7c5179d976ff7b9e0a6057ec28"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#af7568b7c5179d976ff7b9e0a6057ec28">ColorNameToColor</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pColorName)</td></tr>
<tr class="separator:af7568b7c5179d976ff7b9e0a6057ec28"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a55a5a01e3bdb0549d7e9c8304fb379bf"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#a55a5a01e3bdb0549d7e9c8304fb379bf">FADE_TIMEOUT</a> = 30</td></tr>
<tr class="separator:a55a5a01e3bdb0549d7e9c8304fb379bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a504c5cd99407697386dc9dd5decaee4c"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#a504c5cd99407697386dc9dd5decaee4c">FADE_OUT_DURATION</a> = 3</td></tr>
<tr class="separator:a504c5cd99407697386dc9dd5decaee4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8d79721b370037e6892d8081d14a707"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#ad8d79721b370037e6892d8081d14a707">FADE_IN_DURATION</a> = 0.5</td></tr>
<tr class="separator:ad8d79721b370037e6892d8081d14a707"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27d846099caa04aadd42269735eb5456"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#a27d846099caa04aadd42269735eb5456">RADIO_PREFIX</a> = &quot;(&quot; + &quot;#str_radio&quot; + &quot;) &quot;</td></tr>
<tr class="separator:a27d846099caa04aadd42269735eb5456"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1657e1d4619636381364c4ec6a509f8"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#af1657e1d4619636381364c4ec6a509f8">GAME_PREFIX</a> = &quot;(&quot; + &quot;#layout_chat_game&quot; + &quot;) &quot;</td></tr>
<tr class="separator:af1657e1d4619636381364c4ec6a509f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0c10e4d2d53e597a9718b6f1fe77dd6"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#ae0c10e4d2d53e597a9718b6f1fe77dd6">ADMIN_PREFIX</a> = &quot;(&quot; + &quot;#STR_MP_MASTER&quot; + &quot;) &quot;</td></tr>
<tr class="separator:ae0c10e4d2d53e597a9718b6f1fe77dd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f3f55bb04cfe3efbeb74f871e811a59"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#a4f3f55bb04cfe3efbeb74f871e811a59">DEFAULT_COLOUR</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>(255, 255, 255, 255)</td></tr>
<tr class="separator:a4f3f55bb04cfe3efbeb74f871e811a59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aba0fa1fa132e423405c10e5768f2d6"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#a2aba0fa1fa132e423405c10e5768f2d6">GAME_TEXT_COLOUR</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>(255, 255, 0, 0)</td></tr>
<tr class="separator:a2aba0fa1fa132e423405c10e5768f2d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dafd146e710bbc6f98931770430b788"><td class="memItemLeft" align="right" valign="top">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#a3dafd146e710bbc6f98931770430b788">ADMIN_TEXT_COLOUR</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>(255, 255, 255, 0)</td></tr>
<tr class="separator:a3dafd146e710bbc6f98931770430b788"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b5b9b8b76c076d9da9e650e933646d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#a3b5b9b8b76c076d9da9e650e933646d5">m_RootWidget</a></td></tr>
<tr class="separator:a3b5b9b8b76c076d9da9e650e933646d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac58c95fbafa5f38b172682f8abf6dea6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#ac58c95fbafa5f38b172682f8abf6dea6">m_NameWidget</a></td></tr>
<tr class="separator:ac58c95fbafa5f38b172682f8abf6dea6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a649ce4d0ff4865a724e65f9f6f552b54"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#a649ce4d0ff4865a724e65f9f6f552b54">m_TextWidget</a></td></tr>
<tr class="separator:a649ce4d0ff4865a724e65f9f6f552b54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afde85a84ce46406413853c10aa9d3d9a"><td class="memItemLeft" align="right" valign="top">private ref WidgetFadeTimer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#afde85a84ce46406413853c10aa9d3d9a">m_FadeTimer</a></td></tr>
<tr class="separator:afde85a84ce46406413853c10aa9d3d9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8a8cf4a6898fa1be3b31b6564c40576"><td class="memItemLeft" align="right" valign="top">private ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d99/class_chat_line.html#ac8a8cf4a6898fa1be3b31b6564c40576">m_TimeoutTimer</a></td></tr>
<tr class="separator:ac8a8cf4a6898fa1be3b31b6564c40576"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00001">1</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa0c53bd27ec03a7bd8d61b8b38abd97d" name="aa0c53bd27ec03a7bd8d61b8b38abd97d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0c53bd27ec03a7bd8d61b8b38abd97d">&#9670;&#160;</a></span>ChatLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ChatLine::ChatLine </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>root_widget</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00023">23</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="aeba239484e29a9a393a6c48711566214" name="aeba239484e29a9a393a6c48711566214"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeba239484e29a9a393a6c48711566214">&#9670;&#160;</a></span>~ChatLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ChatLine::~ChatLine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00034">34</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad34043c0b64004f26eb3dab739e5704c" name="ad34043c0b64004f26eb3dab739e5704c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad34043c0b64004f26eb3dab739e5704c">&#9670;&#160;</a></span>Clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ChatLine::Clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00130">130</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="af7568b7c5179d976ff7b9e0a6057ec28" name="af7568b7c5179d976ff7b9e0a6057ec28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7568b7c5179d976ff7b9e0a6057ec28">&#9670;&#160;</a></span>ColorNameToColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ChatLine::ColorNameToColor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pColorName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00137">137</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="a5d8983c3eafdc1774c780a5cb253f4e1" name="a5d8983c3eafdc1774c780a5cb253f4e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d8983c3eafdc1774c780a5cb253f4e1">&#9670;&#160;</a></span>Set()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ChatLine::Set </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a8e2adabf89cdc42791495aaba635827a">ChatMessageEventParams</a>&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00039">39</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="ad43c287d9f7f9a2ad4fed1853a00810a" name="ad43c287d9f7f9a2ad4fed1853a00810a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad43c287d9f7f9a2ad4fed1853a00810a">&#9670;&#160;</a></span>SetColorByParam()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void ChatLine::SetColorByParam </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pParamValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pFallback</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00119">119</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="a5bb24d76106718b54468710aa7660779" name="a5bb24d76106718b54468710aa7660779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bb24d76106718b54468710aa7660779">&#9670;&#160;</a></span>SetColour()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ChatLine::SetColour </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>colour</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00113">113</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae0c10e4d2d53e597a9718b6f1fe77dd6" name="ae0c10e4d2d53e597a9718b6f1fe77dd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0c10e4d2d53e597a9718b6f1fe77dd6">&#9670;&#160;</a></span>ADMIN_PREFIX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ChatLine::ADMIN_PREFIX = &quot;(&quot; + &quot;#STR_MP_MASTER&quot; + &quot;) &quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00010">10</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="a3dafd146e710bbc6f98931770430b788" name="a3dafd146e710bbc6f98931770430b788"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dafd146e710bbc6f98931770430b788">&#9670;&#160;</a></span>ADMIN_TEXT_COLOUR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ChatLine::ADMIN_TEXT_COLOUR = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>(255, 255, 255, 0)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00013">13</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="a4f3f55bb04cfe3efbeb74f871e811a59" name="a4f3f55bb04cfe3efbeb74f871e811a59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f3f55bb04cfe3efbeb74f871e811a59">&#9670;&#160;</a></span>DEFAULT_COLOUR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ChatLine::DEFAULT_COLOUR = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>(255, 255, 255, 255)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00011">11</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="ad8d79721b370037e6892d8081d14a707" name="ad8d79721b370037e6892d8081d14a707"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8d79721b370037e6892d8081d14a707">&#9670;&#160;</a></span>FADE_IN_DURATION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ChatLine::FADE_IN_DURATION = 0.5</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00006">6</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="a504c5cd99407697386dc9dd5decaee4c" name="a504c5cd99407697386dc9dd5decaee4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a504c5cd99407697386dc9dd5decaee4c">&#9670;&#160;</a></span>FADE_OUT_DURATION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ChatLine::FADE_OUT_DURATION = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00005">5</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="a55a5a01e3bdb0549d7e9c8304fb379bf" name="a55a5a01e3bdb0549d7e9c8304fb379bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55a5a01e3bdb0549d7e9c8304fb379bf">&#9670;&#160;</a></span>FADE_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ChatLine::FADE_TIMEOUT = 30</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00004">4</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="af1657e1d4619636381364c4ec6a509f8" name="af1657e1d4619636381364c4ec6a509f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1657e1d4619636381364c4ec6a509f8">&#9670;&#160;</a></span>GAME_PREFIX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ChatLine::GAME_PREFIX = &quot;(&quot; + &quot;#layout_chat_game&quot; + &quot;) &quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00009">9</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="a2aba0fa1fa132e423405c10e5768f2d6" name="a2aba0fa1fa132e423405c10e5768f2d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2aba0fa1fa132e423405c10e5768f2d6">&#9670;&#160;</a></span>GAME_TEXT_COLOUR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ChatLine::GAME_TEXT_COLOUR = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>(255, 255, 0, 0)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00012">12</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="afde85a84ce46406413853c10aa9d3d9a" name="afde85a84ce46406413853c10aa9d3d9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afde85a84ce46406413853c10aa9d3d9a">&#9670;&#160;</a></span>m_FadeTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref WidgetFadeTimer ChatLine::m_FadeTimer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00020">20</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="ac58c95fbafa5f38b172682f8abf6dea6" name="ac58c95fbafa5f38b172682f8abf6dea6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac58c95fbafa5f38b172682f8abf6dea6">&#9670;&#160;</a></span>m_NameWidget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> ChatLine::m_NameWidget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00017">17</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="a3b5b9b8b76c076d9da9e650e933646d5" name="a3b5b9b8b76c076d9da9e650e933646d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b5b9b8b76c076d9da9e650e933646d5">&#9670;&#160;</a></span>m_RootWidget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> ChatLine::m_RootWidget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00016">16</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="a649ce4d0ff4865a724e65f9f6f552b54" name="a649ce4d0ff4865a724e65f9f6f552b54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a649ce4d0ff4865a724e65f9f6f552b54">&#9670;&#160;</a></span>m_TextWidget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> ChatLine::m_TextWidget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00018">18</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="ac8a8cf4a6898fa1be3b31b6564c40576" name="ac8a8cf4a6898fa1be3b31b6564c40576"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8a8cf4a6898fa1be3b31b6564c40576">&#9670;&#160;</a></span>m_TimeoutTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref Timer ChatLine::m_TimeoutTimer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00021">21</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<a id="a27d846099caa04aadd42269735eb5456" name="a27d846099caa04aadd42269735eb5456"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27d846099caa04aadd42269735eb5456">&#9670;&#160;</a></span>RADIO_PREFIX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private const <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ChatLine::RADIO_PREFIX = &quot;(&quot; + &quot;#str_radio&quot; + &quot;) &quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d21/_chat_line_8c_source.html#l00008">8</a> of file <a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/Chat/<a class="el" href="../../dc/d21/_chat_line_8c_source.html">ChatLine.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d99/class_chat_line.html">ChatLine</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
